package types

import "time"

// Device ...
type Device struct {
	DeviceID          string    `json:"device_id" xml:"device_id"`
	DeviceName        string    `json:"device_name" xml:"device_name"`
	DeviceLocation    *string   `json:"device_location" xml:"device_location"`
	DeviceLastContact time.Time `json:"device_last_contact" xml:"device_last_contact"`
	Logfile           string    `json:"logfile" xml:"logfile"`
	CreationDate      time.Time `json:"creation_date" xml:"creation_date"`
}
